/**************************************************
  Coppermine Plugin - Sort by EXIF
  *************************************************
  Copyright (c) 2018 Ludger Hellerhoff
  *************************************************
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License version 3
  as published by the Free Software Foundation.
***************************************************/

$(document).ready(function () {

	var workingdir = js_vars.inst_path_sbe;
	var buffer;
	
	
	$('[pid]').click(function() {	
		buffer = $(this);
		$(this).siblings().next().next().attr("src","plugins/sort_by_exif/images/schwarz.png");		
		$.ajax({
			type: "POST",
			url: "/plugins/sort_by_exif/ajax/exif_change.php",
			data: { workdir : workingdir,
				pid : $(this).attr('pid'),
				date : $(this).siblings().val(),
				time : $(this).siblings().next().val(),
			}, //cksum?
			success: function(data) {	
				data = JSON.parse(data);
				xdate = data["sbe_exif_date"].substring(0, 10);
				buffer.siblings().val(xdate);
				xtime = data["sbe_exif_date"].substring(11, 19);
				buffer.siblings().next().val(xtime);
				ledcolor = "rot.png";
				ledtitle = js_vars.led_exception_red;
		        if (data["sbe_source_is_exif"] == 0) {
					ledcolor = 'gelb.png';
					ledtitle = js_vars.led_exception_yellow;
				};
		        if ((data["sbe_source_is_exif"] >= 1) && (data["sbe_source_is_exif"] <= 3)) {
					ledcolor = 'gruen.png';
					ledtitle = js_vars.led_exception_green;
				};
				buffer.siblings().next().next().attr("src","plugins/sort_by_exif/images/"+ledcolor);
				buffer.siblings().next().next().attr("title",ledtitle);	
			}
		});  
	});
});