<?php
/**************************************************
  Coppermine Plugin - Sort by EXIF
  *************************************************
  Copyright (c) 2018 Ludger Hellerhoff
  *************************************************
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License version 3
  as published by the Free Software Foundation.
***************************************************/

define('IN_COPPERMINE', true);

$workdir = $_POST["workdir"];
$pid = $_POST["pid"];
$date = $_POST["date"];
$time = $_POST["time"];
$datetime = $date.' '.$time;
chdir($workdir);
require_once($workdir.'/plugins/sort_by_exif/load_exif.php');
require_once($workdir.'/include/init.inc.php');
require_once($workdir.'/include/config.inc.php');
require_once($workdir.'/include/functions.inc.php');
// These will be needed if we switch to getID3 toolbox
// require_once($workdir.'/plugins/sort_by_exif/lib/getID3-1.9.15/getid3/getid3.php');
// $getID3 = new getID3;
require_once($workdir.'/plugins/sort_by_exif/qt_metadata.php');
require_once($workdir.'/plugins/sort_by_exif/exif_metadata.php');
require_once($workdir.'/plugins/sort_by_exif/load_exif.php');

$db_result = cpg_db_query("select pid, filepath, filename, sbe_exif_date, sbe_source_is_exif from {$CONFIG['TABLE_PICTURES']} WHERE pid = $pid");
$db_line = cpg_db_fetch_assoc($db_result);
$filename  = $CONFIG['fullpath'].$db_line['filepath'].$db_line['filename'];
if (strtoupper(pathinfo($filename, PATHINFO_EXTENSION)) == 'MP4') {
	if ($db_line['sbe_source_is_exif'] = 3) {
		set_qt_meta($filename, $datetime, $datetime);
	} else {
		$datetime = strtotime($datetime);
		touch($filename, $datetime);
	}
} else {
	if (strtoupper(pathinfo($filename, PATHINFO_EXTENSION)) == 'JPG') {
		set_exif_meta($filename, $datetime, $datetime);
	} else {
		$datetime = strtotime($datetime);
		touch($filename, $datetime);
	};
};
load_exif($db_line);
$db_result = cpg_db_query("select sbe_exif_date, sbe_source_is_exif from {$CONFIG['TABLE_PICTURES']} WHERE pid = $pid");
$db_line = cpg_db_fetch_assoc($db_result);
$db_line['memory'] = memory_get_usage ();
$ajax_result = json_encode($db_line);
echo ($ajax_result);
?>
